package com.zyao89.view.zloading;

import ඓ.ᕣ.K.K.AbstractC0747;
import ඓ.ᕣ.K.K.ᕣ.C0741;
import ඓ.ᕣ.K.K.ᨨ.C0742;
import ඓ.ᕣ.K.K.ᨨ.C0743;
import ඓ.ᕣ.K.K.ⁱ.C0745;
import ඓ.ᕣ.K.K.ⁱ.C0746;
import ඓ.ᕣ.K.K.㳳.C0748;
import ඓ.ᕣ.K.K.㳳.C0750;
import ඓ.ᕣ.K.K.㴹.C0751;
import ඓ.ᕣ.K.K.㴹.C0752;
import ඓ.ᕣ.K.K.㴹.C0753;
import ඓ.ᕣ.K.K.㴹.C0754;
import ඓ.ᕣ.K.K.㴹.C0755;
import ඓ.ᕣ.K.K.㸾.C0756;
import ඓ.ᕣ.K.K.㸾.C0757;
import ඓ.ᕣ.K.K.㸾.C0760;
import ඓ.ᕣ.K.K.㿎.C0761;
import ඓ.ᕣ.K.K.㿎.C0762;
import ඓ.ᕣ.K.K.㿎.C0763;

public enum Z_TYPE {
    CIRCLE(C0746.class),
    CIRCLE_CLOCK(C0745.class),
    STAR_LOADING(C0748.class),
    LEAF_ROTATE(C0750.class),
    DOUBLE_CIRCLE(C0754.class),
    PAC_MAN(C0753.class),
    ELASTIC_BALL(C0757.class),
    INFECTION_BALL(C0756.class),
    INTERTWINE(C0760.class),
    TEXT(C0741.class),
    SEARCH_PATH(C0762.class),
    ROTATE_CIRCLE(C0751.class),
    SINGLE_CIRCLE(C0755.class),
    SNAKE_CIRCLE(C0752.class),
    STAIRS_PATH(C0761.class),
    MUSIC_PATH(C0763.class),
    STAIRS_RECT(C0742.class),
    CHART_RECT(C0743.class);
    
    public final Class<?> mBuilderClass;

    /* access modifiers changed from: public */
    Z_TYPE(Class cls) {
        this.mBuilderClass = cls;
    }

    public <T extends AbstractC0747> T newInstance() {
        try {
            return (T) ((AbstractC0747) this.mBuilderClass.newInstance());
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }
}
